import { StarRatingConfig, starRatingColor, starRatingSizes, starRatingSpeed, starRatingStarTypes, starRatingLabelPosition } from '../interfaces/star-rating-config.interface';
/**
 * Configuration service for the StarRating component.
 * You can inject this service, typically in your root component, and customize the values of its properties in
 * order to provide default values for all the star ratings used in the application.
 */
export declare class StarRatingConfigService implements StarRatingConfig {
    _classEmpty: string;
    get classEmpty(): string;
    set classEmpty(classEmpty: string);
    private _classHalf;
    get classHalf(): string;
    set classHalf(classHalf: string);
    private _classFilled;
    get classFilled(): string;
    set classFilled(classFilled: string);
    private _numOfStars;
    get numOfStars(): number;
    set numOfStars(numOfStars: number);
    private _size;
    get size(): starRatingSizes;
    set size(size: starRatingSizes);
    private _staticColor;
    get staticColor(): starRatingColor;
    set staticColor(value: starRatingColor);
    private _labelPosition;
    get labelPosition(): starRatingLabelPosition;
    set labelPosition(labelPosition: starRatingLabelPosition);
    private _speed;
    get speed(): starRatingSpeed;
    set speed(speed: starRatingSpeed);
    private _starType;
    get starType(): starRatingStarTypes;
    set starType(starType: starRatingStarTypes);
    private _assetsPath;
    get assetsPath(): string;
    set assetsPath(assetsPath: string);
    private _svgPath;
    get svgPath(): string;
    set svgPath(svgPath: string);
    private _svgEmptySymbolId;
    get svgEmptySymbolId(): string;
    set svgEmptySymbolId(svgEmptySymbolId: string);
    private _svgHalfSymbolId;
    get svgHalfSymbolId(): string;
    set svgHalfSymbolId(svgHalfSymbolId: string);
    private _svgFilledSymbolId;
    get svgFilledSymbolId(): string;
    set svgFilledSymbolId(svgFilledSymbolId: string);
    private _svgPathEmpty;
    get svgPathEmpty(): string;
    set svgPathEmpty(svgPathEmpty: string);
    private _svgPathHalf;
    get svgPathHalf(): string;
    set svgPathHalf(svgPathHalf: string);
    private _svgPathFilled;
    get svgPathFilled(): string;
    set svgPathFilled(svgPathFilled: string);
    getColor(rating: number, numOfStars: number, staticColor?: starRatingColor): starRatingColor;
    getHalfStarVisible(rating: number): boolean;
}
